summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-06-10 01:06:40 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-06-10 01:06:40 (GMT)
commitffd672f0043c96d0e293d9189e961d34b951d331 (patch)
tree8fcb27e9f883361df1a0ee4d83952f641892f62d
parent31b1d1b136dc9d7c28476e8394ae62250b40852b (diff)
downloadlinhes_pkgbuild-ffd672f0043c96d0e293d9189e961d34b951d331.zip
linhes_pkgbuild-ffd672f0043c96d0e293d9189e961d34b951d331.tar.gz
linhes_pkgbuild-ffd672f0043c96d0e293d9189e961d34b951d331.tar.bz2
Need for advantage X configuration.
-rw-r--r--abs/core-testing/xresprobe/PKGBUILD25
-rw-r--r--abs/core-testing/xresprobe/xresprobe.patch16
-rw-r--r--abs/extra-testing/miro/PKGBUILD5
3 files changed, 44 insertions, 2 deletions
diff --git a/abs/core-testing/xresprobe/PKGBUILD b/abs/core-testing/xresprobe/PKGBUILD
new file mode 100644
index 0000000..783fc06
--- /dev/null
+++ b/abs/core-testing/xresprobe/PKGBUILD
@@ -0,0 +1,25 @@
+pkgname=xresprobe
+pkgver=0.4.23
+pkgrel=2
+pkgdesc="Tools for probing DDC info from monitors"
+arch=(i686)
+url="http://packages.qa.debian.org/x/xresprobe.html"
+license=('GPL')
+depends=()
+source=(http://ftp.debian.org/debian/pool/main/x/xresprobe/xresprobe_0.4.23debian1.orig.tar.gz
+ http://ftp.debian.org/debian/pool/main/x/xresprobe/xresprobe_0.4.23debian1-0.1.diff.gz
+ xresprobe.patch)
+
+build() {
+ # patch
+ cd $startdir/src/xresprobe-0.4.23debian1 || return 1
+ patch -Np1 -i ../xresprobe_0.4.23debian1-0.1.diff || return 1
+ patch -Np1 -i ../xresprobe.patch || return 1
+
+ # build
+ make || return 1
+ make DESTDIR=$startdir/pkg install || return 1
+}
+md5sums=('53afc73b8b36676eeea4360c6481f9fb'
+ 'd10eb3a74467fd84f974ce405bf030f7'
+ 'd5b9af3c0c21cab98440bfc210a5ce53')
diff --git a/abs/core-testing/xresprobe/xresprobe.patch b/abs/core-testing/xresprobe/xresprobe.patch
new file mode 100644
index 0000000..a92f0b0
--- /dev/null
+++ b/abs/core-testing/xresprobe/xresprobe.patch
@@ -0,0 +1,16 @@
+diff -Naru xresprobe-0.4.23debian1.orig/ddcprobe/lrmi.c xresprobe-0.4.23debian1/ddcprobe/lrmi.c
+--- xresprobe-0.4.23debian1.orig/ddcprobe/lrmi.c 2006-03-22 13:29:05.000000000 +1030
++++ xresprobe-0.4.23debian1/ddcprobe/lrmi.c 2009-06-09 21:26:20.000000000 +0930
+@@ -55,6 +55,12 @@
+ #include "x86-common.h"
+
+ #if defined(__linux__)
++#if !defined (IF_MASK)
++#define IF_MASK X86_EFLAGS_IF
++#define VIF_MASK X86_EFLAGS_VIF
++#define IOPL_MASK X86_EFLAGS_IOPL
++#define TF_MASK X86_EFLAGS_IOPL
++#endif
+ #define DEFAULT_VM86_FLAGS (IF_MASK | IOPL_MASK)
+ #elif defined(__NetBSD__) || defined(__FreeBSD__)
+ #define DEFAULT_VM86_FLAGS (PSL_I | PSL_IOPL)
diff --git a/abs/extra-testing/miro/PKGBUILD b/abs/extra-testing/miro/PKGBUILD
index 763d151..1411c43 100644
--- a/abs/extra-testing/miro/PKGBUILD
+++ b/abs/extra-testing/miro/PKGBUILD
@@ -3,13 +3,14 @@
pkgname=miro
pkgver=2.0.4
-pkgrel=8
+pkgrel=9
pkgdesc="The free and open source internet TV platform"
arch=('i686' 'x86_64')
url="http://www.getmiro.com"
license=('GPL2')
depends=('xine-lib>=1.1.16.1' 'boost>=1.37.0' 'gnome-python-extras>=2.25.3'
- 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1' 'gtk2' 'nspr')
+ 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1' 'gtk2' 'nspr'
+ 'desktop-file-utils')
makedepends=('pkgconfig' 'pm-utils' 'qt3')
optdepends=('gstreamer0.10-python: gstreamer backend (potentially unstable)' 'gstreamer0.10: gstreamer backend (potentially unstable')
install=miro.install